org.apache.felix.deploymentadmin.spi

## Class StartCustomizerCommand

- java.lang.Object
- - org.apache.felix.deploymentadmin.spi.Command
  - - org.apache.felix.deploymentadmin.spi.StartCustomizerCommand

All Implemented Interfaces:
  org.osgi.framework.Constants

    public class StartCustomizerCommand
    extends Command

Command that starts all customizer bundles defined in the source deployment packages of a deployment session. In addition all customizer bundles of the target deployment package that are not present in the source deployment package are started as well.

### Field Summary

### Fields inherited from interface org.apache.felix.deploymentadmin.Constants

`BUNDLE_LOCATION_PREFIX, BUNDLE_SYMBOLICNAME, BUNDLE_VERSION, CODE_BAD_HEADER, CODE_BUNDLE_NAME_ERROR, CODE_BUNDLE_SHARING_VIOLATION, CODE_CANCELLED, CODE_COMMIT_ERROR, CODE_FOREIGN_CUSTOMIZER, CODE_MISSING_BUNDLE, CODE_MISSING_FIXPACK_TARGET, CODE_MISSING_HEADER, CODE_MISSING_RESOURCE, CODE_NOT_A_JAR, CODE_ORDER_ERROR, CODE_OTHER_ERROR, CODE_PROCESSOR_NOT_FOUND, CODE_RESOURCE_SHARING_VIOLATION, CODE_SIGNING_ERROR, CODE_TIMEOUT, DEPLOYMENTPACKAGE_CUSTOMIZER, DEPLOYMENTPACKAGE_FIXPACK, DEPLOYMENTPACKAGE_ICON, DEPLOYMENTPACKAGE_MISSING, DEPLOYMENTPACKAGE_NAME, DEPLOYMENTPACKAGE_SYMBOLICMAME, DEPLOYMENTPACKAGE_VERSION, EVENTPROPERTY_DEPLOYMENTPACKAGE_CURRENTVERSION, EVENTPROPERTY_DEPLOYMENTPACKAGE_NAME, EVENTPROPERTY_DEPLOYMENTPACKAGE_NEXTVERSION, EVENTPROPERTY_DEPLOYMENTPACKAGE_READABLENAME, EVENTPROPERTY_SUCCESSFUL, EVENTTOPIC_COMPLETE, EVENTTOPIC_INSTALL, EVENTTOPIC_UNINSTALL, RESOURCE_PROCESSOR, SERVICE_PID`

### Fields inherited from interface org.osgi.framework.Constants

`ACTIVATION_LAZY, BUNDLE_ACTIVATIONPOLICY, BUNDLE_ACTIVATOR, BUNDLE_CATEGORY, BUNDLE_CLASSPATH, BUNDLE_CONTACTADDRESS, BUNDLE_COPYRIGHT, BUNDLE_DESCRIPTION, BUNDLE_DOCURL, BUNDLE_LOCALIZATION, BUNDLE_LOCALIZATION_DEFAULT_BASENAME, BUNDLE_MANIFESTVERSION, BUNDLE_NAME, BUNDLE_NATIVECODE, BUNDLE_NATIVECODE_LANGUAGE, BUNDLE_NATIVECODE_OSNAME, BUNDLE_NATIVECODE_OSVERSION, BUNDLE_NATIVECODE_PROCESSOR, BUNDLE_REQUIREDEXECUTIONENVIRONMENT, BUNDLE_SYMBOLICNAME_ATTRIBUTE, BUNDLE_UPDATELOCATION, BUNDLE_VENDOR, BUNDLE_VERSION_ATTRIBUTE, DYNAMICIMPORT_PACKAGE, EXCLUDE_DIRECTIVE, EXPORT_PACKAGE, EXPORT_SERVICE, EXTENSION_BOOTCLASSPATH, EXTENSION_DIRECTIVE, EXTENSION_FRAMEWORK, FRAGMENT_ATTACHMENT_ALWAYS, FRAGMENT_ATTACHMENT_DIRECTIVE, FRAGMENT_ATTACHMENT_NEVER, FRAGMENT_ATTACHMENT_RESOLVETIME, FRAGMENT_HOST, FRAMEWORK_BEGINNING_STARTLEVEL, FRAMEWORK_BOOTDELEGATION, FRAMEWORK_BUNDLE_PARENT, FRAMEWORK_BUNDLE_PARENT_APP, FRAMEWORK_BUNDLE_PARENT_BOOT, FRAMEWORK_BUNDLE_PARENT_EXT, FRAMEWORK_BUNDLE_PARENT_FRAMEWORK, FRAMEWORK_EXECPERMISSION, FRAMEWORK_EXECUTIONENVIRONMENT, FRAMEWORK_LANGUAGE, FRAMEWORK_LIBRARY_EXTENSIONS, FRAMEWORK_OS_NAME, FRAMEWORK_OS_VERSION, FRAMEWORK_PROCESSOR, FRAMEWORK_SECURITY, FRAMEWORK_SECURITY_OSGI, FRAMEWORK_STORAGE, FRAMEWORK_STORAGE_CLEAN, FRAMEWORK_STORAGE_CLEAN_ONFIRSTINIT, FRAMEWORK_SYSTEMPACKAGES, FRAMEWORK_SYSTEMPACKAGES_EXTRA, FRAMEWORK_TRUST_REPOSITORIES, FRAMEWORK_VENDOR, FRAMEWORK_VERSION, FRAMEWORK_WINDOWSYSTEM, IMPORT_PACKAGE, IMPORT_SERVICE, INCLUDE_DIRECTIVE, MANDATORY_DIRECTIVE, OBJECTCLASS, PACKAGE_SPECIFICATION_VERSION, REQUIRE_BUNDLE, RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL, SELECTION_FILTER_ATTRIBUTE, SERVICE_DESCRIPTION, SERVICE_ID, SERVICE_RANKING, SERVICE_VENDOR, SINGLETON_DIRECTIVE, SUPPORTS_BOOTCLASSPATH_EXTENSION, SUPPORTS_FRAMEWORK_EXTENSION, SUPPORTS_FRAMEWORK_FRAGMENT, SUPPORTS_FRAMEWORK_REQUIREBUNDLE, SYSTEM_BUNDLE_LOCATION, SYSTEM_BUNDLE_SYMBOLICNAME, USES_DIRECTIVE, VERSION_ATTRIBUTE, VISIBILITY_DIRECTIVE, VISIBILITY_PRIVATE, VISIBILITY_REEXPORT`

### Constructor Summary

Constructors
Constructor and Description
`StartCustomizerCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doExecute(DeploymentSessionImpl session)` Executes the command, the specified `DeploymentSession` can be used to obtain various information about the deployment session which the command is part of.

### Methods inherited from class org.apache.felix.deploymentadmin.spi.Command

`addCommit, addRollback, cancel, commit, execute, isCancelled, rollback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StartCustomizerCommand

    public StartCustomizerCommand()

### Method Detail

#### doExecute

    protected void doExecute(DeploymentSessionImpl session)
                      throws Exception

Description copied from class: `Command`
Executes the command, the specified `DeploymentSession` can be used to obtain various information about the deployment session which the command is part of.

Specified by:
  `doExecute` in class `Command`
Parameters:
  `session` - The deployment session this command is part of.
Throws:
  `Exception` - in case of this command could not terminate successfully.